# Experts warn of attacks exploiting WordPress gift card plugin
## Threat actors are actively exploiting a critical flaw in the YITH WooCommerce Gift Cards Premium WordPress plugin installed by over 50,000 websites. Hackers are actively exploiting a critical vulnerability, tracked as CVE-2022-45359 (CVSS v3: 9.8), affecting the WordPress plugin YITH WooCommerce Gift Cards Premium. The YITH WooCommerce Gift Cards Premium plugin allows websites of online stores to […]
## Information:

+ Link: https://securityaffairs.com/140004/hacking/wordpress-gift-card-plugin-attacks.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 25 December 2022, 19:42
+ Date scraped: 27 December 2022, 02:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2015/05/DOM-based-XSS-wordpress-2.jpg?resize=300%2C300&ssl=1)


Hackers are actively exploiting a critical vulnerability, tracked as [CVE-2022-45359](https://nvd.nist.gov/vuln/detail/CVE-2022-45359) (CVSS v3: 9.8), affecting the WordPress plugin YITH WooCommerce Gift Cards Premium.


The YITH WooCommerce Gift Cards Premium plugin allows websites of online stores to sell gift cards, a WordPress plugin used on over 50,000 websites.



The CVE-2022-45359 flaw is an Arbitrary File Upload issue that can allow an unauthenticated attacker to upload files to vulnerable sites, including web shells that provide full access to the site.


The issue was discovered on November 22, 2022, and was addressed with the release of version 3.20.0.


Due to the presence of a lot of websites that are still using vulnerable versions of the plugin, threat actors are exploring the flaw in attacks in the wild to upload backdoors on the e-stores.


*“The Wordfence Threat Intelligence team has been tracking exploits targeting a [Critical Severity Arbitrary File Upload vulnerability](https://www.wordfence.com/threat-intel/vulnerabilities/wordpress-plugins/yith-woocommerce-gift-cards-premium/yith-woocommerce-gift-cards-premium-3190-unauthenticated-arbitrary-file-upload) in YITH WooCommerce Gift Cards Premium, a plugin with over 50,000 installations according to the vendor.” reported Wordfence. “This allows attackers to place a back door, obtain Remote Code Execution, and take over the site.”*


The researchers were able to reverse engineer the exploit and discovered that the issue lies in the import\_actions\_from\_settings\_panel function which runs on the admin\_init hook.


The hook runs for any page in the /wp-admin/ directory and allows to trigger functions that run on it as an unauthenticated attacker by sending a request to /wp-admin/admin-post.php.


The experts noticed that the import\_actions\_from\_settings\_panel function also lacks a capability check and a CSRF check. An unauthenticated attacker can send POST requests to “/wp-admin/admin-post.php” using the certain parameters to upload a malicious PHP executable on the site.


*“Since the import\_actions\_from\_settings\_panel function also lacks a capability check and a CSRF check, it is trivial for an attacker to simply send a request containing a page parameter set to yith\_woocommerce\_gift\_cards\_panel, a ywgc\_safe\_submit\_field parameter set to importing\_gift\_cards, and a payload in the file\_import\_csv file parameter.” continues the report. “Since the function also does not perform any file type checks, any file type including executable PHP files can be uploaded.”*


The experts added that it is possible to discover the attacks by analyzing the logs and checking unexpected POST requests to wp-admin/admin-post.php from unknown IP addresses.


Below are some files uploaded by threat actors in attacks analyzed by Wordfence:


* **kon.php/1tes.php** – this file loads a copy of the “marijuana shell” file manager in memory from a remote location (shell[.]prinsh[.]com)
* **b.php** – this file is a simple uploader
* **admin.php** – this file is a password-protected backdoor


Most of the attacks observed by Wordfence originated from 103.138.108.15 (19604 attacks against 10936 different sites) and 188.66.0.135 IP addresses (1220 attacks against 928 sites).


*“The majority of attacks occurred the day after the vulnerability was disclosed, but have been ongoing, with another peak on December 14, 2022. As this vulnerability is trivial to exploit and provides full access to a vulnerable website we expect attacks to continue well into the future.” concludes the report.*“


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, WordPress plugin)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-45359
***ipv4-adresses***: 103.138.108.15 188.66.0.135
***urls***: http://shell.prinsh.com

### Autogenerated tags:
plugin wordfence wordpress yith woocommerce websites import_actions_from_settings_panel
