# Critical Vulnerability in Premium Gift Cards WordPress Plugin Exploited in Attacks
## A critical vulnerability in the YITH WooCommerce Gift Cards premium WordPress plugin is exploited in attacks.
## Information:

+ Link: https://www.securityweek.com/critical-vulnerability-premium-gift-cards-wordpress-plugin-exploited-attacks
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 27 December 2022, 11:00
+ Date scraped: 27 December 2022, 11:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The YITH WooCommerce Gift Cards plugin allows online merchants to create gift cards that their customers can purchase for their friends to use on the ecommerce store. The premium plugin has more than 50,000 installations, its developer says.


Tracked as CVE-2022-45359 (CVSS score of 9.8), [the exploited vulnerability](https://www.wordfence.com/blog/2022/12/psa-yith-woocommerce-gift-cards-premium-plugin-exploited-in-the-wild/) was reported in November and a patch for it was made available soon after.


The issue is described as an arbitrary file upload, allowing attackers to upload executable files to the WordPress sites that use a vulnerable version of the plugin. No authentication is required for successful exploitation, Wordfence says.


According to the WordPress security firm, an attacker can exploit the vulnerability to place a backdoor on a vulnerable installation, gain remote code execution (RCE), and potentially take over the site.


“We were able to reverse engineer the exploit based on attack traffic and a copy of the vulnerable plugin and are providing information on its functionality as this vulnerability is already being exploited in the wild and a patch has been available for some time,” Wordfence warns.


The security defect was found in an import function running on the admin\_init hook, which runs for all pages in the /wp-admin/ directory.


Because the impacted function lacks cross-site request forgery (CSRF) and capability checks, an unauthenticated attacker could trigger the flaw by sending special requests containing specific parameters and payloads.


“Since the function also does not perform any file type checks, any file type including executable PHP files can be uploaded,” Wordfence underlines.


Site admins can identify signs of an attack by checking their logs for POST requests to wp-admin/admin-post.php.


According to Wordfence, observed attacks came from hundreds of IP addresses, but only two IPs were responsible for the majority of exploitation attempts. Most of the attacks occurred one day after the vulnerability was publicly disclosed, but they continue.


“As this vulnerability is trivial to exploit and provides full access to a vulnerable website, we expect attacks to continue well into the future,” Wordfence concludes.


Site admins are advised to update to YITH WooCommerce Gift Cards premium version 3.20.0 or newer, which contain patches for this vulnerability.





 


## Tags:
***CVE's***: CVE-2022-45359

### Autogenerated tags:
wordfence plugin
